#!/bin/bash

#    YAATOBS - yet another arm toolchain build script
# 
#    Copyright (C) 2019  Torsten Brischalle
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/

set -e

. ./00_settings.sh

echo "*****************************************************"
echo "*** extract newlib                                ***"
echo "*****************************************************"

cd tmp

if [ -d newlib-${NEWLIB_VERSION} ]
then
  echo "newlib already extracted"
else
  if [ -e ../sources/newlib-${NEWLIB_VERSION}.tar.gz ]
  then
    echo "newlib already downloaded"
  else
    echo "download newlib"
    wget ${WGET_OPT} -P ../sources ftp://sourceware.org/pub/newlib/newlib-${NEWLIB_VERSION}.tar.gz
  fi

  echo "extract newlib"
  tar -xzf ../sources/newlib-${NEWLIB_VERSION}.tar.gz
fi

cd ../..

echo "*****************************************************"
echo "*** extract newlib: DONE                          ***"
echo "*****************************************************"

