#!/bin/bash

#    YAATOBS - yet another arm toolchain build script
# 
#    Copyright (C) 2019  Torsten Brischalle
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/

set -e

. ./00_settings.sh

NEWLIB_FLAGS="--prefix=${TOOLCHAIN_PREFIX} --target=${TOOLCHAIN_TARGET} --enable-interwork --enable-multilib \
              --disable-werror --with-float=${TOOLCHAIN_FLOAT_ABI} --disable-newlib-supplied-syscalls \
              CFLAGS=-DREENTRANT_SYSCALLS_PROVIDED"

if [ -n "${TOOLCHAIN_CPU}" ]; then
  GCC_FLAGS+=" --with-cpu=${TOOLCHAIN_CPU}"
fi

if [ -n "${TOOLCHAIN_FPU}" ]; then
  GCC_FLAGS+=" --with-fpu=${TOOLCHAIN_FPU}"
fi

echo "*****************************************************"
echo "*** build newlib                                  ***"
echo "*****************************************************"

cd tmp

rm -rf newlib-*-build
mkdir newlib-${NEWLIB_VERSION}-build

cd newlib-${NEWLIB_VERSION}-build
echo "configure newlib"
../newlib-${NEWLIB_VERSION}/configure ${NEWLIB_FLAGS}
echo "build newlib"
make
make install

cd ../..

echo "*****************************************************"
echo "*** build newlib: DONE                            ***"
echo "*****************************************************"

